Get sales
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/pos/salesimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/pos/sales"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/pos/sales', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 10,
"tax_amount": 1,
"taxes": []
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The resource {Method} - {Resource} is not supported by {ConnectorName}",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"message": "Error while trying to authenticate to {ConnectorName}",
"status": "error"
}Orders
Get sales
Returns the aggregated sales summary for a given period, optionally broken down by location.
GET
/
consumers
/
{consumer_id}
/
pos
/
sales
Get sales
Learn more:
Path Parameters
Query Parameters
Start date (inclusive) of the period to get sales from
End date (inclusive) of the period to get sales from
Unique identifier of the location. If none passed, sales from all locations will be returned unless the location was selected by the end-user